| ChaCha20-Poly1305, HKDF, Ed25519 | Real · KAT | Known-answer tested against RFC 8439 §2.3.2, §2.5.2 and §2.8.2, RFC 5869 and RFC 8032 §7.1, and cross-checked against an independent implementation. Correctness-oriented, not constant-time, not side-channel hardened. |
| Shamir over GF(2⁸) + proactive refresh | Real · tested | Any t of n reconstruct; t−1 leave every secret value equally possible; cross-epoch shares yield garbage. |
| Reed–Solomon MDS coding | Real · 300 subsets | Every k-subset decodes, every (k−1)-subset refuses. Used for availability only; confidentiality below threshold comes from the shared key. |
| Dispersal (seal, code, share the key) | Real · tested | Verified in the browser reference engine: any k shards recover and authenticate, a corrupted shard is detected, and the scheduler never places k shards on one bearer. |
| Hybrid KEM combiner | Real | The security-critical part: both ciphertexts bound into the KDF, so the session key is secure if either component is. Unchanged when backends are swapped for certified modules. |
| Release policy tree, UAS ledger | Real · tested | Linear secret sharing over the access structure with fixed-shape padding; hash-chained signed provenance with tamper detection. |
| Browser reference engine (this site) | Real · 25 tests | Everything in the lab runs on it, client-side, with no network calls. Built for explanation, not for protecting traffic. |
| ML-KEM-1024 | Sized stub | No post-quantum security whatsoever yet. Buffer lengths match FIPS 203 so MTU budgeting and shard sizing are honest. Swapped for a certified module at integration; nothing above it changes. |
| Module validation, formal verification | Not started | Needs a validated module and an evaluation laboratory engagement through the national approval route. Tamarin or ProVerif models of the quorum unlock and the hybrid handshake are planned. |
| Hardware integration, accreditation | Not started | The work that turns any of this into a fielded system. |